string-width

> Get the visual width of a string - the number of columns required to display it

Some Unicode characters are fullwidth and use double the normal width. ANSI escape codes are stripped and doesn't affect the width.

Useful to be able to measure the actual width of command-line output.

# Install

$ npm install string-width

# Usage

const stringWidth = require('string-width');
stringWidth('古');
//=> 2
stringWidth('\u001b[1m古\u001b[22m');
//=> 2
stringWidth('a');
//=> 1
stringWidth('\u001B]8;;https://github.com\u0007Click\u001B]8;;\u0007');
// => 5

# Related

- string-width-cli - CLI for this module
- string-length - Get the real length of a string
- widest-line - Get the visual width of the widest line in a string

# License

MIT © Sindre Sorhus